Subject: Re: bug#11450: 24.1.50; NS regression: fallback font used even when glyph available in primary font

From: Steve Purcell <[email-masked]>
Date: Mon, 14 May 2012 09:39:29 +0100

It's probably unrelated, but I also wanted to note the following font-relating compilation warnings I noticed:

gcc -std=gnu99 -c  -Demacs -DHAVE_CONFIG_H  -I. -I/Users/steve/Projects/External/emacs/src -I../lib -I/Users/steve/Projects/External/emacs/src/../lib               -MMD -MF deps/font.d -MP     -g font.c
font.c: In function ‘Ffont_variation_glyphs’:
font.c:4388: warning: comparison is always true due to limited range of data type
font.c:4388: warning: comparison is always true due to limited range of data type
font.c:4388: warning: comparison is always true due to limited range of data type
font.c:4388: warning: comparison is always true due to limited range of data type
font.c: In function ‘Ffont_get_glyphs’:
font.c:4721: warning: comparison is always true due to limited range of data type
font.c:4721: warning: comparison is always true due to limited range of data type
font.c:4721: warning: comparison is always true due to limited range of data type
font.c:4721: warning: comparison is always true due to limited range of data type